package entry

import (
	"context"
	"errors"

	"source.toby3d.me/toby3d/home/internal/domain"
)

type Repository interface {
	Get(ctx context.Context, lang domain.Language, path string) (*domain.Entry, error)

	// Stat checks for the existence of a page on the specified path without
	// parsing its contents.
	Stat(ctx context.Context, lang domain.Language, path string) (bool, error)
}

var ErrNotExist error = errors.New("entry not exists")
